Subject: Re: bug#23276: 25.0.92; Crash in auto-revert when file no longer present

From: John Wiegley <[email-masked]>
Date: Sat, 16 Apr 2016 19:53:02 -0700

>>>>> Eli Zaretskii <[email-masked]> writes:

>> I would not want it to erase the buffer. Countless have been the times that
>> I've been working on a project, and an unbridled rm took away code from the
>> disk which I was very grateful to find was still in a buffer.

> How is it different from clobbering a file by making it empty?

I'm not sure, but I never clobber files that way...

> Don't we have a variant of auto-revert that never shrinks the buffer?

I think if it's significantly reduced, it does warn. But I'm not sure what
that's based on.

The current behavior, whatever it is, does not lose contents that get
accidentally deleted from disk.  I'm not sure what happens if you cat
/dev/null onto your code.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2